%define _phplib %{_libdir}/php56
%define _extdir %{_phplib}/extensions
%define modname xhprof
%define modfullname mod_%{modname}

Summary: php 5.6 XHProf extension
Summary(ko): php 5.6 XHProf 확장
Name: php56-pecl-%{modname}
Version: 0.9.4
Release: 1%{?dist}
Epoch: 1
Group: Development/Languages
License: Apache 2.0
Source0: %{modname}-%{version}.tgz

BuildRoot: /var/tmp/%{name}-root
Requires: php56api
BuildRequires: php56-devel

%description
XHProf is a function-level hierarchical profiler for PHP and has a simple
HTML based navigational interface. The raw data collection component is
implemented in C (as a PHP extension). The reporting/UI layer is all in
PHP. It is capable of reporting function-level inclusive and exclusive
wall times, memory usage, CPU times and number of calls for each function.
Additionally, it supports ability to compare two runs (hierarchical DIFF
reports), or aggregate results from multiple runs.

%prep
%setup -q -n %{modname}-%{version}

%build
cd extension

/usr/bin/phpize56

CFLAGS="${RPM_OPT_FLAGS}"
./configure

%{__make} %{?_smp_mflags}
cd -

%install
[ "%{buildroot}" != "/" -a -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

cd extension

%{__mkdir_p} %{buildroot}%{_extdir}

%{__install} -m755 modules/%{modname}.so %{buildroot}%{_extdir}/%{modname}.so

%{__mkdir_p} %{buildroot}%{_sysconfdir}/php56.d/{cli,fpm}
for i in cli fpm
do
	%{__cat} > %{buildroot}%{_sysconfdir}/php56.d/$i/%{modname}.ini <<EOF
extension = %{modname}.so
EOF
done

cd -

%{__mkdir_p} %{buildroot}%{_datadir}/php/%{modname}
cp -af examples/ xhprof_html/ xhprof_lib/ \
		%{buildroot}%{_datadir}/php/%{modname}/

%clean
[ "%{buildroot}" != "/" -a -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(755,root,root) %{_extdir}/%{modname}.so
%config(noreplace) %{_sysconfdir}/php56.d/cli/%{modname}.ini
%config(noreplace) %{_sysconfdir}/php56.d/fpm/%{modname}.ini
%{_datadir}/php/%{modname}/

%changelog
* Fri Jan 15 2016 JoungKyun.Kim <http://oops.org> 1:0.9.4-1%{?dist}
- rebuilt on AN3

* Sun Jan 26 2014 JoungKyun.Kim <http://oops.org> 1:0.9.4-1%{?dist}
- first packaged

